#ifndef _CVIMAGE_H
#define _CVIMAGE_H

#include <opencv2/opencv.hpp>
using namespace cv;
#include <iostream>
#include <vector>
#include "Vector3.h"
#include <string>
using namespace std;

class Image
{
public:
	Image();
	~Image();
	void readImage(string filename_txt);
	void setFileName(string name)	{ filename= name; }
	void resizeImage();

	int pixelID(int x, int y);
	vector<int> get_pixel_neighbors(int id);
public:
	string filename;
	IplImage* img;
	IplImage* labimg;
	vector<vector<int>> pixel_neighbors;
	int width;
	int height;
};
#endif